<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.test-case-workspace.dialog.title.export-test-case'"
  [dialogId]="data.id"
>
  <sqtm-core-dialog-body>
    <ng-container>
      <div class="sqtm-core-dialog-form p-10" [formGroup]="formGroup">
        <label class="label label__align_right">{{
          'sqtm-core.test-case-workspace.dialog.field.format' | translate
        }}</label>

        <div class="flex-column">
          <sqtm-core-select-field
            [formGroup]="formGroup"
            [options]="getFormat()"
            [fieldName]="'format'"
          ></sqtm-core-select-field>
          @if (formGroup.controls.format.value === 'xls') {
            <span class="format-message">{{
              'sqtm-core.test-case-workspace.dialog.message.xls-export'
                | translate
            }}</span>
          }
        </div>

        <label class="label label__align_right">{{
          'sqtm-core.test-case-workspace.dialog.export.file-name' | translate
        }}</label>

        <sqtm-core-text-field
          [fieldName]="'fileName'"
          [formGroup]="formGroup"
        ></sqtm-core-text-field>

        <label class="label label__align_right">{{
          'sqtm-core.test-case-workspace.dialog.export.options' | translate
        }}</label>

        <div class="flex-column">
          <div>
            <span
              nz-checkbox
              [formGroup]="formGroup"
              formControlName="addCalledTC"
              ngDefaultControl
            >
              {{
                'sqtm-core.test-case-workspace.dialog.export.add-called-test-case'
                  | translate
              }}
            </span>
            <i
              class="current-workspace-main-color font-16-px"
              nz-icon
              nzType="sqtm-core-generic:help"
              nzTheme="fill"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.test-case-workspace.dialog.message.add-called-test-case'
                  | translate
              "
            ></i>
          </div>
          <div>
            <span
              class="m-l-0"
              nz-checkbox
              [formGroup]="formGroup"
              formControlName="editableRichText"
              ngDefaultControl
            >
              {{
                'sqtm-core.test-case-workspace.dialog.export.rich-text-format'
                  | translate
              }}
            </span>
            <i
              class="current-workspace-main-color font-16-px"
              nz-icon
              nzType="sqtm-core-generic:help"
              nzTheme="fill"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.test-case-workspace.dialog.message.rich-text-format'
                  | translate
              "
            ></i>
          </div>
        </div>
      </div>
    </ng-container>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <a
      nz-button
      [href]="doExport()"
      [nzType]="'primary'"
      [disabled]="!formIsValid()"
      (click)="close()"
      >{{ 'sqtm-core.generic.label.export' | translate }}</a
    >
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
